curl --request POST \
--url https://services.leadconnectorhq.com/products/bulk-update/inventory \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Version: <version>' \
--data '
{
"altId": "6578278e879ad2646715ba9c",
"altType": "location",
"priceIds": [
"5f8d0d55b54764421b7156c1",
"5f8d0d55b54764421b7156c2"
],
"availableQuantity": {
"type": "ADD_QUANTITY",
"value": 50
},
"allowOutOfStockPurchases": true,
"trackInventory": true
}
'{
"status": true,
"updatedCount": 25,
"fieldsUpdated": [
"availableQuantity",
"trackInventory"
],
"message": "Successfully created"
}API to bulk update inventory fields (availableQuantity, continueSellingOutOfStock, trackInventory) for multiple prices
curl --request POST \
--url https://services.leadconnectorhq.com/products/bulk-update/inventory \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Version: <version>' \
--data '
{
"altId": "6578278e879ad2646715ba9c",
"altType": "location",
"priceIds": [
"5f8d0d55b54764421b7156c1",
"5f8d0d55b54764421b7156c2"
],
"availableQuantity": {
"type": "ADD_QUANTITY",
"value": 50
},
"allowOutOfStockPurchases": true,
"trackInventory": true
}
'{
"status": true,
"updatedCount": 25,
"fieldsUpdated": [
"availableQuantity",
"trackInventory"
],
"message": "Successfully created"
}Use the Access Token generated with user type as Sub-Account (OR) Private Integration Token of Sub-Account.
API Version
2021-07-28 Location Id or Agency Id
"6578278e879ad2646715ba9c"
location Array of price IDs to update
[
"5f8d0d55b54764421b7156c1",
"5f8d0d55b54764421b7156c2"
]Show child attributes
Continue selling when out of stock
Track inventory for this product
Inventory updated successfully
Was this page helpful?